package com.nisum.reactive.utils;

import com.nisum.reactive.dto.ProductDto;
import com.nisum.reactive.entity.Product;
import org.modelmapper.ModelMapper;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

import java.util.Optional;

@Component
public class AppUtils {

    @Bean
    public static ModelMapper modelMapper(){
        return new ModelMapper();
    }
    public static ProductDto entityToDto(Product product) {
//        ProductDto productDto = new ProductDto();
//        BeanUtils.copyProperties(product, productDto);
//        return productDto;
        ProductDto dto = modelMapper().map(product, ProductDto.class);
        return dto;
    }

    public static Product dtoToEntity(ProductDto productDto) {
//        Product product = new Product();
//        BeanUtils.copyProperties(productDto, product);
//        return product;
        Product entity = modelMapper().map(productDto, Product.class);
        return entity;
    }
}
